class DATE_STRING_TO_DATE
creation
	make
feature
	slash_location:ARRAY[INTEGER]		-- location of '/'
	date_str:STRING
	date,month,year:INTEGER

	make(s:STRING) is
	do
		date_str:=s
		!!slash_location.make(1,2)
	end -- make

	valid_slash:BOOLEAN is
	-- is the number of '/' two?
	local
		index:INTEGER
		slash_num:INTEGER
		not_valid:BOOLEAN
	do
		from
			index:=1
		until
			not_valid or index>=date_str.count
		loop
			if date_str.item(index)='/' then
				if slash_num<2 then
					slash_num:=slash_num+1
					slash_location.put(index,slash_num)
				else
					not_valid:=true
				end -- if
			end -- if
			index:=index+1
		end -- loop		
		if slash_num/=2 then
			not_valid:=true
		end -- if
		Result:=not not_valid
	end -- valid_slash

	is_valid:BOOLEAN is
	-- is it the valid format for date?? (dd/mm/yyyy)
	local
		temp_str:STRING
	do
		Result:=valid_slash
		if valid_slash then

			-- get the date
			temp_str:=date_str.substring(1,slash_location.item(1)-1)
			if temp_str.is_integer then
				date:=temp_str.to_integer
			else
				Result:=false
			end -- if

			-- get the month
			temp_str:=date_str.substring(slash_location.item(1)+1,slash_location.item(2)-1)
			if temp_str.is_integer then
				month:=temp_str.to_integer
			else
				Result:=false
			end -- if

			-- get the year
			temp_str:=date_str.substring(slash_location.item(2)+1,date_str.count)
			if temp_str.is_integer then
				year:=temp_str.to_integer
			else
				Result:=false
			end -- if
			
		end -- if
	end -- is_valid
end -- DATE_STRING_TO_DATE